Subject: FVWM: FVWM Key modifiers

From: Ken Roberts <[email-masked]>
Date: Sun, 21 Nov 1999 22:29:46 -0600 (CST)

Hello all,

I've searched the archives for a reference to key modifiers.  Unless I've missed
something, (a distinct possibility) there is no way to add a key modifier.

What I want in specific is to make the windows keys into a modifier, in addition
to the shift, control, and meta keys.

What would also be nice is to be able to specify left or right modifiers.  Has
anyone done this, or does this require a modification of the window manager?

If so, how likely is it that the authors are interested in doing this?  I
haven't even found this mentioned in the archives, so maybe it's not a big thing
to everyone else.

It may also be that this can be accomplished through some other product, but I
don't understand how.  If someone knows this, please tell me.  Thanks.

--------------------------------------------------------------------------------
    Ken Roberts                                       [email-masked]
                 Oft-times thou feelest like unto a nut,
                     And yet, M'lord, anon, feel'st thou not so.
                 Yon Almond Joy these selfsame nuts doth have,
                     Whereas contrary Mounds doth have them not.
                                 -- William Shakespeare, kind of

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Paul D. Smith)
Date: 22 Nov 1999 01:03:23 -0500

%% Ken Roberts <[email-masked]> writes:

  kr> I've searched the archives for a reference to key modifiers.
  kr> Unless I've missed something, (a distinct possibility) there is no
  kr> way to add a key modifier.

You're looking in the wrong place.

You redefine your keyboard, including modifiers, via the X server not
the window manager, typically using xmodmap.  There's a cool graphical
program called xkeycaps that makes it _much_ simpler to do.

AFAIK FVWM will support any modifier you bind to your Windows key.

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 22 Nov 1999 10:24:38 +0100

> don't understand how.  If someone knows this, please tell me.  Thanks.

I have this in my xmodmap (see man page for xmodmap command for
details):

  keycode 0x73 =  Super_L
  keycode 0x74 =  Super_R
  ...
  clear Mod4
  ...
  add    Mod4    = Super_L Super_R

This maps both keys to modifier '4'.  Use 'xkeycaps' to find
out the correct keycodes if 0x73 and 0x74 don't work for you
(try a '107 key PC keyboard' layout in xkeycaps).

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].